{ config, pkgs, lib, inputs, ... }:

{
  nix = {
    # Use default version alias for nix package
    package = pkgs.nix;
    # Improve nix store disk usage
    autoOptimiseStore = true;
    gc.automatic = true;
    optimise.automatic = true;
    # Prevents impurities in builds
    useSandbox = true;
    # give root and @wheel special privileges with nix
    trustedUsers = [ "root" "@wheel" ];
    # This is just a representation of the nix default
    systemFeatures = [ "nixos-test" "benchmark" "big-parallel" "kvm" ];
    # Generally useful nix option defaults
    extraOptions = ''
      min-free = 536870912
      keep-outputs = true
      keep-derivations = true
      fallback = true
    '';
  };
}
